ru.bitel.bgbilling.modules.tv.api.server.bean

## Class TvAccountDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<TvAccount>
    - - ru.bitel.bgbilling.modules.tv.api.server.bean.TvAccountDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TvAccountDao
      extends ru.bitel.common.dao.AbstractIdDao<TvAccount>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvAccountDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvAccount` | `get(java.lang.String login, java.util.Date time)`
    `TvAccount` | `getByDeviceAccountId(java.lang.String deviceAccountId, java.util.Date time)`
    `TvAccount` | `getFromRS(java.sql.ResultSet rs)`
    `static TvAccount` | `getFromRS(java.sql.ResultSet rs, boolean contractLoad, boolean specAndDeviceLoad)`
    `int` | `lastNumericLogin(int max)` Возвращает последний (наибольший) цифровой логин
    `java.util.List<TvAccount>` | `list(int contractId)`
    `java.util.List<TvAccount>` | `list(int deviceId, java.lang.String login, java.util.Date dateFrom, java.util.Date dateTo)`
    `java.util.List<TvAccount>` | `list(int deviceId, java.lang.String login, java.util.Date dateFrom, java.util.Date dateTo, boolean onlyRoot, java.lang.String orderBy)`
    `java.util.List<TvAccount>` | `listChildren(int parentId)`
    `java.util.List<TvAccount>` | `listRuntime(int deviceId, java.util.Set<java.lang.Integer> tvAccountSpecIds)` Получение списка сервисов для runtime.
    `java.util.List<TvAccount>` | `listToCancel(java.util.Date now)`
    `java.util.List<TvAccount>` | `listToCreate(java.util.Date now)`
    `java.util.List<TvAccount>` | `search(java.lang.String login, java.lang.String deviceAccountId, int tvAccountSpecId, java.lang.String identifier, java.lang.String macAddress, boolean loginStrictCheck)`
    `void` | `updateDeviceStateAndOptions(int tvAccountId, java.lang.String deviceAccountId, short state, java.util.Set<java.lang.Integer> deviceOptions, int accessCode)`
    `protected void` | `updateImpl(TvAccount b)` Этот метод каждый реализует сам со своей логикой.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvAccountDao

          public TvAccountDao(java.sql.Connection con,
                              int mid)

  - ### Method Detail

    - #### getFromRS

          public static TvAccount getFromRS(java.sql.ResultSet rs,
                                            boolean contractLoad,
                                            boolean specAndDeviceLoad)
                                     throws java.sql.SQLException,
                                            ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          public TvAccount getFromRS(java.sql.ResultSet rs)
                              throws java.sql.SQLException,
                                     ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<TvAccount>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(TvAccount b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TvAccount>`
      Parameters:
        `b` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### list

          public java.util.List<TvAccount> list(int contractId)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listRuntime

          public java.util.List<TvAccount> listRuntime(int deviceId,
                                                       java.util.Set<java.lang.Integer> tvAccountSpecIds)
                                                throws ru.bitel.bgbilling.common.BGException

      Получение списка сервисов для runtime. Отсортированы по parentId.
      Parameters:
        `deviceId` -
        `servIds` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public TvAccount get(java.lang.String login,
                               java.util.Date time)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getByDeviceAccountId

          public TvAccount getByDeviceAccountId(java.lang.String deviceAccountId,
                                                java.util.Date time)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listChildren

          public java.util.List<TvAccount> listChildren(int parentId)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<TvAccount> list(int deviceId,
                                                java.lang.String login,
                                                java.util.Date dateFrom,
                                                java.util.Date dateTo)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<TvAccount> list(int deviceId,
                                                java.lang.String login,
                                                java.util.Date dateFrom,
                                                java.util.Date dateTo,
                                                boolean onlyRoot,
                                                java.lang.String orderBy)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateDeviceStateAndOptions

          public void updateDeviceStateAndOptions(int tvAccountId,
                                                  java.lang.String deviceAccountId,
                                                  short state,
                                                  java.util.Set<java.lang.Integer> deviceOptions,
                                                  int accessCode)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listToCreate

          public java.util.List<TvAccount> listToCreate(java.util.Date now)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listToCancel

          public java.util.List<TvAccount> listToCancel(java.util.Date now)
                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lastNumericLogin

          public int lastNumericLogin(int max)
                               throws ru.bitel.bgbilling.common.BGException

      Возвращает последний (наибольший) цифровой логин
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### search

          public java.util.List<TvAccount> search(java.lang.String login,
                                                  java.lang.String deviceAccountId,
                                                  int tvAccountSpecId,
                                                  java.lang.String identifier,
                                                  java.lang.String macAddress,
                                                  boolean loginStrictCheck)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`